base: ../base.yaml

# 2012-05-31 neue GDI: MapProxy 1.4
# 2012-10-24 ALKIS-Version 07
# 2012-11-14 WMS von neuer GDI
# 2012-11-15 map statt xml-Wrapper
# 2013-01-23 neue ALKIS-grids in base.yaml, Verschiebung level +1
# 2013-03-08 neues Mapfile, Layernamen anpassen, Mapserver 6.2
# 2013-09-30 Neues Grid-Level 125 in base, hier Minscale von 100 auf 50 (fuer _4-Druck)
# 2014-01-06 URL umst. von mapserv62 auf mapserv6, dies dann auf 6.4.1 linken
# 2014-01-09 2 neue Layer: "sonstiges bauwerk oder sonstigeeinrichtung (_l)"
# 2014-09-09 PostNAS-Vers 08

# http://mapserver.krz.de/mapproxy/alkisrlp/service?REQUEST=GetCapabilities&SERVICE=WMS&VERSION=1.1.1
services:
  demo:
  #kml:
  #tms:
  wms:
    srs: ['EPSG:4326', 'EPSG:25832', 'EPSG:54004']
    #attribution:
    #  text: "Â© Geobasisdaten Liegenschaftskataster Kreis ___"
    md:
      title: "c: ALKIS"
      abstract: Liegenschaftskataster ALKIS Demokarte RLP Mustermonzel. Konverter PostNAS 0.8, Ãber MapProxy Cache
      online_resource: http://mapproxy.org/
      contact:
        person: Frank JÃ€ger
        position: GIS-Administrator
        organization: Kommunales Rechenzentrum Minden-Ravensberg/Lippe 
        address: Am Lindenhaus 21
        city: Lemgo
        postcode: 32657
        country: Germany
        phone: +49(0)5261-252-185
        fax: +49(0)5261-932-185
        email: f.jaeger@krz.de
      access_constraints: 'Nur fÃŒr den Dienstgebrauch'
      fees: 'None'

layers:
  - name: alkis_nutzung
    title: Nutzungsarten
    sources: [alkisrlp_nua_c]
    min_scale: 50
    max_scale: 35000
  - name: alkis_lieka
    title: ALKIS
    sources: [alkisrlp_lie_c]
    min_scale: 50
    max_scale: 35000
  - name: alkis_bezirke
    title: Bezirke
    sources: [alkisrlp_bez_c]
    min_res: 74.08 # 1:210.000
    max_res: 1.76

caches:
  # Sonderversionen grid _rlp_ ausserhalb krz-Gebiet
  alkisrlp_lie_c:
    grids: [alkis_rlp_lie_grid]
    sources: ["alkis:ax_gebaeude_umr,ax_bauteil,ax_besonderegebaeudelinie,ag_t_gebaeude,ax_sonstigesbauwerkodersonstigeeinrichtung,ax_sonstigesbauwerkodersonstigeeinrichtung_l,ax_flurstueck,ax_besondereflurstuecksgrenze,ag_l_flurstueck,sk2004_zuordnungspfeil_spitze,ag_t_flurstueck,ag_p_flurstueck,ax_punktortta,ap_pto_stra,ap_pto","alkis_fi:ax_flurstueck"]
    link_single_color_images: true
  alkisrlp_nua_c:
    grids: [alkis_rlp_nua_grid]
    sources: ["alkis:nutzung_alle"]
  alkisrlp_bez_c:
    grids: [alkis_rlp_bez_grid]
    sources: ["alkis:pp_flur,pp_gemarkung,pp_gemeinde"]

sources:
  # fuer Karte
  alkis:
    type: wms
    wms_opts:
      legendgraphic: true
    # rlp
    coverage:
      # eng um das Testgebiet:
      bbox: "349550,5529460,355140,5532210"
      bbox_srs: "EPSG:25832"
    req:
      url: http://ows.krz.de/cgi-bin/mapserv6?
      map: /opt/gdi/alkis08/alkis08rlp.map
      transparent: true
      format: image/png
  # fuer Feature-Info
  alkis_fi:
    type: wms
    wms_opts:
      featureinfo: true
      map: false
    req:
      url: http://ows.krz.de/cgi-bin/mapserv6?
      map: /opt/gdi/alkis08/alkis08rlp.map
  debug:
    type: debug
